Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IAdapterDescriptor

All Superinterfaces:
  IDescriptor, INamespaceObject, IPropertiedDescriptor, Serializable

public interface IAdapterDescriptor
extends IPropertiedDescriptor, INamespaceObject, Serializable

Method Summary
`IConnectionFactoryDescriptor` | `addConnectionFactory(String name)` Create/Add a connection factory with the given name to this adapter instance, and return the created IConnectionFactoryDescriptor instance.
`Iterator` | `getConnectionFactories()` Get the connection factories contained in this adapter instance
`IConnectionFactoryDescriptor` | `getConnectionFactory(String name)` Get a named connection factory from this adapter instance, or null if it doesn't exist.
`String` | `getID()` Get the adapter's server-wide id
`String` | `getLinkedAdapterName()` Get the linked adapter name
`String` | `getTransactionSupport()` Get an indication of what type of transaction support this adapter requires.
`boolean` | `isEventNamespaceEnforcementEnabled()` Check eventNameSpaceEnforcementEnabled property value
`boolean` | `isInboundMessagingEnabled()` Is this adapter instance configured to handle inbound messaging.
`IConnectionFactoryDescriptor` | `removeConnectionFactory(String name)` Remove the connection factory with the given name from this adapter instance.
`void` | `setConnectionFactories(ArrayList cfs)` Set the list of connection factories this adapter instance will contain
`void` | `setEventNamespaceEnforcementEnabled(boolean enabled)` Sets the eventNameSpaceEnforcementEnabled property of the Adapter
`void` | `setID(String id)` Set the server-wide ID
`void` | `setInboundMessagingEnabled(boolean newValue)` Set whether this adapter instance is configured to handle inbound messaging or not.
`void` | `setLinkedAdapterName(String linkedAdapterName)` Set the linked adapter name
`void` | `setTransactionSupport(String support)` Set the type of transaction support this adapter requires.

Methods inherited from interface com.bea.wlai.common.IPropertiedDescriptor
`addProperty, getProperty, listPropertyNames, removeProperty`

Methods inherited from interface com.bea.wlai.common.IDescriptor
`fromXML, fromXML, fromXML, getDescription, getName, isReadOnly, makeReadOnly, setDescription, setName, toXML, toXML, toXML`

Methods inherited from interface com.bea.wlai.common.INamespaceObject
`equals, getDescription, getLastUpdateTime, getName, getParentNamespace, getQualifiedName, setDescription, setName, setParentNamespace, syncLastUpdateTime, touch`

Method Detail

### isInboundMessagingEnabled

    public boolean isInboundMessagingEnabled()

  Is this adapter instance configured to handle inbound messaging. Not all instances will be given the configuration needed to do this, so inbound messaging will be initialized only for those adapter instances that return true from this method.

### setInboundMessagingEnabled

    public void setInboundMessagingEnabled(boolean newValue)

  Set whether this adapter instance is configured to handle inbound messaging or not. Not all instances will be given the configuration needed to do this, so inbound messaging should be enabled only for those adapter instances that are given the proper configuration.

### setConnectionFactories

    public void setConnectionFactories(ArrayList cfs)

  Set the list of connection factories this adapter instance will contain

  Parameters:
    `cfs` - The list of connection factories for this adapter instance

### getConnectionFactories

    public Iterator getConnectionFactories()

  Get the connection factories contained in this adapter instance

  Returns:
    An Iterator over the connection factories contained in this adapter instance. The returned Iterator iterates over objects of type IConnectionFactoryDescriptor.

### addConnectionFactory

    public IConnectionFactoryDescriptor addConnectionFactory(String name)

  Create/Add a connection factory with the given name to this adapter instance, and return the created IConnectionFactoryDescriptor instance.

### removeConnectionFactory

    public IConnectionFactoryDescriptor removeConnectionFactory(String name)

  Remove the connection factory with the given name from this adapter instance.

  Returns:
    The IConnectionFactoryDescriptor that was removed, or null if not found.

### getConnectionFactory

    public IConnectionFactoryDescriptor getConnectionFactory(String name)

  Get a named connection factory from this adapter instance, or null if it doesn't exist.

### setLinkedAdapterName

    public void setLinkedAdapterName(String linkedAdapterName)

  Set the linked adapter name

  Parameters:
    `linkedAdapterName` - The linked adapter name

### getLinkedAdapterName

    public String getLinkedAdapterName()

  Get the linked adapter name

  Returns:
    The linked adapter name to which connection factories based off the descriptor will be bound.

### getTransactionSupport

    public String getTransactionSupport()

  Get an indication of what type of transaction support this adapter requires. Valid values are the same values for the ra.xml transaction-support setting (XATransaction, LocalTransaction, NoTransaction). This property can be obtained from the adapter's RAR at runtime, but is replicated into the descriptor here to allow for offline handling (when the adapter RAR's contents are unavailable).

  Returns:
    the transaction-support value or null if none was set. In this case any client of this descriptor will make no assumptions about the transaction support requirements (e.g. AppView compiler will take the safest trans-attribute value of 'Supports'.

### setTransactionSupport

    public void setTransactionSupport(String support)

  Set the type of transaction support this adapter requires.

  See Also:
    `getTransactionSupport()`

### setID

    public void setID(String id)

  Set the server-wide ID

### getID

    public String getID()

  Get the adapter's server-wide id

  Returns:
    The the id by which the adapter will be mapped in adapter cache

### isEventNamespaceEnforcementEnabled

    public boolean isEventNamespaceEnforcementEnabled()

  Check eventNameSpaceEnforcementEnabled property value

  Returns:

### setEventNamespaceEnforcementEnabled

    public void setEventNamespaceEnforcementEnabled(boolean enabled)

  Sets the eventNameSpaceEnforcementEnabled property of the Adapter

  Parameters:
    `enabled` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD